Skip to content

API specification for Glomo (1.0.0)

The Glomo API follows REST architecture, utilizing resource-oriented URLs for clarity. It handles form-encoded request bodies, delivers responses in JSON format, and operates with standard HTTP methods, authentication, and response codes.

You can download the complete API collection by using the download options on the right.

Download OpenAPI description
Languages
Servers
Production server
https://api.glomopay.com/api/v1

This resource represents your Glomo balance. You can retrieve it to see the current balance on your Glomo account in all currencies enabled for your account.

Schemas
Operations

Balance Conversion resource represents the details of the balance conversion. The balance conversion is the conversion of the balance from one supported currency to another supported currency.

Schemas
Operations

This resource represents the order details. The order is the request to receive payment from your customer.

Schemas
Operations

This resource represents a customer of your business. The customer can be an individual or a business from whom you will receive payments.

Schemas
Operations

This resource represents a payment attempt made by your customer. The payment can either be successfully completed or failed, depending on various factors.

Schemas
Operations

This resource represents a refund transaction from your Glomo account to your customer. You can retrieve it to see the details of the refund transaction.

Schemas
Operations

This resource represents the details of the referral fees to be configured at the order or payment link level. Only platform businesses are allowed to create prices. The first Price created is set as default for a business.

Schemas
Operations

This resource represents a recurring billing agreement for a customer. Subscriptions allow businesses to automatically charge customers on a regular schedule according to a defined billing plan.

Schemas
Operations

This resource represents the disbursement transactions from your Glomo account to your beneficiaries.

Schemas
Operations

This resource represents a payee of a payout initiated by your business. The beneficiary can be an individual or a business to whom you will send funds.

Schemas
Operations

This resource represents a payee of a payout initiated by your business. Beneficiary V2 introduces a structured nested format for beneficiary, address, and bank account details, and supports both bank account and UPI payment methods.

Schemas
Operations

Bank Account Validation resource represents the validation details of a bank account.

Schemas
Operations

Document resource represents the documents details uploaded. This document is used in payin, payout, etc.

Schemas
Operations

This resource represents internal fund movements between merchant accounts within the platform–partner model. Internal transfers enable seamless fund movement between merchants who operate under the same platform account. Internal transfers are restricted to accounts linked under the same platform hierarchy. The following transfer directions are supported:

Transfer TypeDescription
P → CFrom a Platform (P) account to one of its Child (C) merchant accounts.
C → PFrom a Child (C) merchant account back to its Platform (P) account.
C → C (same P)Between Child (C) accounts under the same Platform (P).
Schemas
Operations

This resource represents the settlement details. The settlement is the process of transferring funds from your Glomo account to your bank account.

Schemas
Operations

This resource represents virtual account details. A virtual account is a unique account number provisioned for a customer, allowing payments to be received and transactions to be tracked against that customer.

Schemas
Operations

Request

Returns the customer's virtual accounts, sorted by creation date (newest first), using the customer's JWT token for access.

Security
JWT
Query
currencystring(iso-4217)(Currency)

Filter virtual accounts by currency

Example: currency=USD
beforestring(timestamp)

ISO-8601 timestamp in UTC to filter resources created before this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example: before=2025-02-18T12:03:44Z
afterstring(timestamp)

ISO-8601 timestamp in UTC to filter resources created after this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example: after=2025-01-18T12:03:44Z
per_pageinteger

Number of resources per page. Should be between 1 and 100.

Default 20
pageinteger

Page number for pagination. Starts from 1. Get the next page number from the next field in the response.

Default 1
curl -i -X GET \
  'https://api.glomopay.com/api/v1/virtual-accounts?currency=USD&before=2025-02-18T12%3A03%3A44Z&after=2025-01-18T12%3A03%3A44Z&per_page=20&page=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of virtual accounts matching the filters

Bodyapplication/json
dataArray of objects(VirtualAccount)
page_metaobject(PageMeta)
Response
application/json
{ "data": [ { … } ], "page_meta": { "current": 2, "previous": 1, "next": 3, "per_page": 20, "pages": 10, "count": 200 } }

Request

Closing active virtual accounts will be based on the specified payment type and currency. The endpoint closes all virtual accounts for a given payment type and currency. Once closed, the virtual account will no longer accept payments.

Security
JWT
Query
payment_typestringrequired

The type of payments this virtual account accepts. 'local' for domestic payments within the same country, 'swift' for cross-border payments.

Enum"local""swift"
Example: payment_type=local
currencystring(iso-4217)(Currency)required

The currency of the virtual account to close in ISO 4217 format.

Example: currency=AED
curl -i -X DELETE \
  'https://api.glomopay.com/api/v1/virtual-accounts?payment_type=local&currency=AED' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Virtual account closed successfully

Bodyapplication/json
messagestring
Example: "Virtual account closed successfully"
Response
application/json
{ "message": "Virtual account closed successfully" }

Request

Creates a new virtual account with the specified payment type and currency. Virtual accounts provide unique account numbers that can be used to receive payments for customers. This endpoint returns HTTP 202 indicating the request has been accepted and is being processed. You will receive a webhook notification when the virtual account is activated.

Security
JWT
Bodyapplication/jsonrequired
payment_typestringrequired

The type of payments this virtual account will accept. 'local' for domestic payments within the same country, 'swift' for cross-border payments.

Enum"local""swift"
Example: "local"
currencystring(iso-4217)(Currency)required

The currency code in ISO 4217 format.

Example: "AED"
curl -i -X POST \
  https://api.glomopay.com/api/v2/virtual-accounts \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "payment_type": "local",
    "currency": "USD"
  }'

Responses

Virtual account creation request is accepted

Bodyapplication/json
messagestring
Example: "Virtual account creation request is accepted."
dataobject
Response
application/json
{ "message": "Virtual account creation request is accepted.", "data": { "merchant_id": "merch_694bb0289P4Cz", "status": "pending" } }

This resource provides platform functionality that enables platforms to onboard merchants onto Glomo, with each merchant having their own dedicated Virtual Accounts (VA).

Schemas
Operations